uk.gov.hmrc.address

# services

#### package services

Visibility

1. Public
2. All

### Type Members

1. #### class CsvLineSplitter extends Iterator[Array[String]]

   Raw-Java style fast line splitter for CSV files.

   Raw-Java style fast line splitter for CSV files. This uses the Univocity API for high performance.

2. #### class CsvWriter extends AnyRef

3. #### class Throttle extends AnyRef

4. #### trait Time extends AnyRef

   Provides a seam for testing

5. #### class TimedLock extends AnyRef

### Value Members

1. #### object Capitalisation

2. #### object CsvParser

   Pimped-Scala style iterator for CSV file splitting, based on CsvLineSplitter.

3. #### object NormalTime extends Time

4. #### package es

5. #### package writers

### Ungrouped